Page MenuHomePhabricator

Unit tests fail if Site is named 'Foo'
Closed, ResolvedPublic

Description

If you name your wiki site 'Foo', as I usually did when making a wiki for testing purposes, the unit tests fail.

It fails because tests/phpunit/includes/TitleTest.php uses 'Talk:Foo:Sandbox' to construct a title to be tested and found valid, and apparently this not valid if the wiki site has been named Foo.

Is there any good defense against this? Should I just add a note saying "don't do that" to https://www.mediawiki.org/wiki/Manual:PHP_unit_testing/Running_the_unit_tests ?


Version: 1.24rc
Severity: minor

Details

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:13 AM
bzimport set Reference to bz65879.
Jjanes created this task.May 28 2014, 10:29 PM

Change 173060 had a related patch set uploaded by Umherirrender:
Set wgMetaNamespace on TitleTest.php

https://gerrit.wikimedia.org/r/173060

Change 173060 had a related patch set uploaded (by Umherirrender):
Set wgMetaNamespace on TitleTest.php

https://gerrit.wikimedia.org/r/173060

Patch-For-Review

Change 173060 merged by jenkins-bot:
Set wgMetaNamespace on TitleTest.php

https://gerrit.wikimedia.org/r/173060

Umherirrender closed this task as Resolved.Nov 28 2014, 10:11 AM

succesfully merged